=== debian/changelog ===
w-scan-cpp (0~20220105-1) unstable; urgency=medium

  * Initial release. (Closes: #1023169)

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Dec 2022 22:33:03 +0100
