## w-scan-cpp 0~20230121

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2022.01.05
+WIRBELSCAN_VERSION = wirbelscan-2023.01.21
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip
@@ -26,7 +26,7 @@
 
 
 #/******************************************************************************
-# * dependencies, add variables here, and checks in target check_dependencies
+# * dependencies, add variables here, and checks in target .dependencies
 # *****************************************************************************/
 LIBJPEG=libjpeg
 FREETYPE2=freetype2
@@ -36,12 +36,12 @@
 LIBREPFUNC_MINVERSION=1.1.0
 
 # /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
-HAVE_LIBJPEG              =$(shell if pkg-config --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
-HAVE_FREETYPE2            =$(shell if pkg-config --exists                                   $(FREETYPE2);  then echo "1"; else echo "0"; fi )
-HAVE_FONTCONFIG           =$(shell if pkg-config --exists                                   $(FONTCONFIG); then echo "1"; else echo "0"; fi )
-HAVE_LIBPUGIXML           =$(shell if pkg-config --exists                                   $(LIBPUGIXML); then echo "1"; else echo "0"; fi )
-HAVE_LIBREPFUNC           =$(shell if pkg-config --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
-HAVE_LIBREPFUNC_MINVERSION=$(shell if pkg-config --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
+HAVE_LIBJPEG              =$(shell if $(PKG_CONFIG) --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
+HAVE_FREETYPE2            =$(shell if $(PKG_CONFIG) --exists                                   $(FREETYPE2);  then echo "1"; else echo "0"; fi )
+HAVE_FONTCONFIG           =$(shell if $(PKG_CONFIG) --exists                                   $(FONTCONFIG); then echo "1"; else echo "0"; fi )
+HAVE_LIBPUGIXML           =$(shell if $(PKG_CONFIG) --exists                                   $(LIBPUGIXML); then echo "1"; else echo "0"; fi )
+HAVE_LIBREPFUNC           =$(shell if $(PKG_CONFIG) --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
+HAVE_LIBREPFUNC_MINVERSION=$(shell if $(PKG_CONFIG) --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
 
 
 #/******************************************************************************
@@ -51,8 +51,8 @@
 CXX = @g++
 
 
-CFLAGS    = -g -O3 -fPIC -Werror=overloaded-virtual
-CXXFLAGS  = -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wno-unused-parameter -Wfatal-errors
+CFLAGS   += -g -O3 -fPIC -Werror=overloaded-virtual
+CXXFLAGS += -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wno-unused-parameter -Wfatal-errors
 
 
 
@@ -198,29 +198,29 @@
 DEFINES   = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DPLUGIN_NAME_I18N='"cmd"'
 DEFINES  += -DAPIVERSION='"$(APIVERSION)"'
 DEFINES  += -DSTATIC_PLUGINS
-LIBS      = -ljpeg -lpthread -lcap -ldl -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
+LIBS      = -ljpeg -pthread -lcap -ldl -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
 LIBS     += $(shell curl-config --libs)
-LIBS     += $(shell pkg-config --libs-only-l $(LIBPUGIXML))
-LIBS     += $(shell pkg-config --libs-only-l $(LIBREPFUNC))
+LIBS     += $(shell $(PKG_CONFIG) --libs-only-l $(LIBPUGIXML))
+LIBS     += $(shell $(PKG_CONFIG) --libs-only-l $(LIBREPFUNC))
 INCLUDES  = -I$(srcdir)
 INCLUDES += -I$(vdrdir)
 INCLUDES += -I$(pluginsrcdir)
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBJPEG))
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBPUGIXML))
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBREPFUNC))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBJPEG))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBPUGIXML))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBREPFUNC))
 INCLUDES += $(shell $(PKG_CONFIG) --cflags freetype2 fontconfig)
-LDFLAGS  ?= -L$(srcdir) -L$(vdrdir) -L$(vdrlibsidir)
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBJPEG))
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBPUGIXML))
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBREPFUNC))
-
-
-
-SOURCES           := $(wildcard $(srcdir)/*.cpp)
-VDR_SOURCES       := $(shell find $(vdrdir)  -maxdepth 1 ! -name "vdr.c" -name "*.c" 2>/dev/null)
-LIBSI_SOURCES     := $(wildcard $(vdrlibsidir)/*.c)
-WIRBELSCAN_SOURCES = $(wildcard $(pluginsrcdir)/wirbelscan/*.cpp)
-SATIP_SOURCES      = $(wildcard $(pluginsrcdir)/satip/*.c)
+LDFLAGS  += -L$(srcdir) -L$(vdrdir) -L$(vdrlibsidir)
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBJPEG))
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBPUGIXML))
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBREPFUNC))
+
+
+
+SOURCES           := $(sort $(wildcard $(srcdir)/*.cpp))
+VDR_SOURCES       := $(shell find $(vdrdir)  -maxdepth 1 ! -name "vdr.c" -name "*.c" 2>/dev/null | LC_ALL=C sort)
+LIBSI_SOURCES     := $(sort $(wildcard $(vdrlibsidir)/*.c))
+WIRBELSCAN_SOURCES = $(sort $(wildcard $(pluginsrcdir)/wirbelscan/*.cpp))
+SATIP_SOURCES      = $(sort $(wildcard $(pluginsrcdir)/satip/*.c))
 
 
 
@@ -265,26 +265,26 @@
 ifeq ($(CXX),@g++)
 	@echo -e "${CY} CXX $@${RST}"
 endif
-	$(CXX) $(CFLAGS) -Wno-parentheses -Wno-unused-parameter -c $(DEFINES) $(INCLUDES) -o $@ $<
+	$(CXX) $(CFLAGS) $(CPPFLAGS) -Wno-parentheses -Wno-unused-parameter -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 %.o: %.cpp
 ifeq ($(CXX),@g++)
 	@echo -e "${BL} CXX $@${RST}"
 endif
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DDISABLE_TEMPLATES_COLLIDING_WITH_STL $(INCLUDES) -o $@ $<
-
-all: check_dependencies $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS)
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
+
+$(BINARY): .dependencies $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS)
 ifeq ($(CXX),@g++)
 	@echo -e "${GN} LINK $(BINARY)${RST}"
 endif
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS) $(LIBS) -o $(BINARY)
-
-install: all
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS) $(LIBS) -o $(BINARY)
+
+install: $(BINARY)
 	$(MKDIR_P) $(DESTDIR)$(bindir)
 	$(MKDIR_P) $(DESTDIR)$(docdir)
 	$(MKDIR_P) $(DESTDIR)$(man1dir)
 	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)$(bindir)
-	$(INSTALL_DATA) COPYING HISTORY README $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) CONTRIBUTORS COPYING HISTORY README $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) doc/w_scan_cpp.1 $(DESTDIR)$(man1dir)
 
 uninstall:
@@ -292,7 +292,7 @@
 	$(RM) -rf $(DESTDIR)$(docdir)
 	$(RM) -f $(DESTDIR)$(man1dir)/w_scan_cpp.1
 
-.PHONY: download check_dependencies
+.PHONY: download
 download: $(vdrdir) $(pluginsrcdir)/satip $(pluginsrcdir)/wirbelscan
 
 $(vdrdir):
@@ -315,7 +315,7 @@
 
 .PHONY: clean mrproper Version.h
 clean:
-	@$(RM) -f $(LIBSI_OBJS) $(VDR_OBJS) $(OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(BINARY)
+	@$(RM) -f $(LIBSI_OBJS) $(VDR_OBJS) $(OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(BINARY) .dependencies
 	@$(RM) -rf $(vdrdir)/.git
 	@$(RM) -rf $(pluginsrcdir)/vdr-plugin-satip/.git
 	@$(RM) -rf MakeHeader.bin
@@ -342,6 +342,3 @@
 	@echo Distribution package created as $(PACKAGE).tar.bz2
 
 dist-download: clean
-	@$(TAR) cfj third_party_$(VERSION).tar.bz2 ./vdr
-	@echo third party package created as third_party_$(VERSION).tar.bz2
-
