=== debian/changelog ===
w-scan-cpp (0~20230121-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no change needed)
  * New upstream version 0~20230121
  * d/copyright: update to match latest upstream
  * remove patches that were merged upstream
  * install CONTRIBUTORS file

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 30 Jan 2023 20:45:32 +0100
