=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                linux-libc-dev,
                pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
 Vcs-Git: https://salsa.debian.org/bastif/w-scan-cpp.git
 Vcs-Browser: https://salsa.debian.org/bastif/w-scan-cpp
