=== debian/watch ===
version=4
opts="repack, \
    oversionmangle=s/^/0~/, \
    dversionmangle=s/^0~//" \
https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html (?:.*/)?w_scan_cpp-([\d]+)@ARCHIVE_EXT@
opts="repack, \
    component=vdr, \
    oversionmangle=s/^/0~/, \
    dversionmangle=s/^0~//, \
    downloadurlmangle=s#$#?raw=true#" \
https://github.com/wirbel-at-vdr-portal/w_scan_cpp-third_party_packages (?:.*/)?third_party_([\d]+)@ARCHIVE_EXT@
