## w-scan-cpp 0~20230604

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2023.01.21
+WIRBELSCAN_VERSION = wirbelscan-2023.06.04
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip
