=== debian/changelog ===
w-scan-cpp (0~20230604-1) unstable; urgency=medium

  * remove 'LCN' patches, it is now supported upstream
  * d/control replace obsolete build-deps
  * New upstream version 0~20230604
  * d/patch/101-makefile_verbose: use CC & CXX from environment if available

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:05:45 +0200
