=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libjpeg-dev,
                libpugixml-dev,
                librepfunc-dev (>= 1.6.2~),
