## w-scan-cpp 20231015%2Bdfsg

=== debian/changelog ===
w-scan-cpp (20231015+dfsg-2) unstable; urgency=medium

  * Fix broken 'd/watch' file and only use sources available from GitHub.
  * Remove '0~' prefix at beginning of package version.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 24 Jan 2024 17:05:05 +0000

w-scan-cpp (0~20231015+dfsg-1) unstable; urgency=medium

  * New maintainer (Closes: #1052444).
  * Disable verbose in 'd/rules'.
  * Changed VCS field data now repo has moved.
  * Remove non-DFSG sources 'doc/service_list.dtd' and 'doc/services.xml'.
  * Add upstream contact to 'd/copyright'.

  [ Fab Stz ]
  * New upstream version 0~20231015

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 16 Jan 2024 17:10:39 +0100
