=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -15,8 +15,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
-Vcs-Git: https://salsa.debian.org/bastif/w-scan-cpp.git
-Vcs-Browser: https://salsa.debian.org/bastif/w-scan-cpp
+Vcs-Git: https://salsa.debian.org/debian/w-scan-cpp.git
+Vcs-Browser: https://salsa.debian.org/debian/w-scan-cpp
 
 Package: w-scan-cpp
 Architecture: any
