=== debian/changelog ===
w-scan-cpp (20231015+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:53 +1100

w-scan-cpp (20231015+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:07:14 +0000

w-scan-cpp (20231015+dfsg-3) unstable; urgency=medium

  * 'd/control':
    - Remove version requirement on 'librepfunc-dev' Build-Depends.
    - Update obsolete pkg-conf to pkgconf in Build-Depends.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 23 Feb 2024 07:26:29 +0000
