=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -9,9 +10,9 @@
                libfreetype-dev,
                libjpeg-dev,
                libpugixml-dev,
-               librepfunc-dev (>= 1.6.2~),
+               librepfunc-dev,
                linux-libc-dev,
-               pkg-config,
+               pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
