=== debian/watch ===
version=4
opts="searchmode=plain, \
    repacksuffix=+dfsg, \
    repack, \
    dversionmangle=s/\+dfsg//, \
    filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
    https://api.github.com/repos/wirbel-at-vdr-portal/w_scan_cpp/tags?per_page=50 \
    https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@
opts="searchmode=plain, \
    component=vdr, \
    repacksuffix=+dfsg, \
    repack, \
    dversionmangle=s/\+dfsg//, \
    downloadurlmangle=s#$#?raw=true#" \
    https://github.com/wirbel-at-vdr-portal/w_scan_cpp-third_party_packages/blob/main/ (?:.*/)?third_party_@ANY_VERSION@
