## w-scan-cpp 20250615+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2023.10.15
+WIRBELSCAN_VERSION = wirbelscan-2024.09.15
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip
@@ -33,7 +33,7 @@
 FONTCONFIG=fontconfig
 LIBPUGIXML=pugixml
 LIBREPFUNC=librepfunc
-LIBREPFUNC_MINVERSION=1.1.0
+LIBREPFUNC_MINVERSION=1.9.0
 
 # /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
 HAVE_LIBJPEG              =$(shell if $(PKG_CONFIG) --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
