=== debian/changelog ===
w-scan-cpp (20250615+dfsg-1) unstable; urgency=medium

  * New upstream version 20250615+dfsg
  * Bump standrds version to 4.7.2 (no changes needed)

 -- Apostolos Kefalas <sv1ljj@raag.org>  Thu, 18 Sep 2025 14:31:44 +0300

w-scan-cpp (20231015+dfsg-4) unstable; urgency=medium

  * Adopt package. Thanks Phil! (Closes: #1072193)
  * Bump standards version to 4.7.0 (no changes needed)

 -- Apostolos Kefalas <sv1ljj@raag.org>  Wed, 12 Jun 2024 20:01:22 +0300
