=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -14,7 +13,7 @@
                linux-libc-dev,
                pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
 Vcs-Git: https://salsa.debian.org/debian/w-scan-cpp.git
 Vcs-Browser: https://salsa.debian.org/debian/w-scan-cpp
